::-webkit-scrollbar {
  width: 0.6em;
}

::-webkit-scrollbar-track {
  background: var(--Darker);
  border-radius: 100vw;
  margin-block: 2.5em;
}

::-webkit-scrollbar-thumb {
  background: var(--Outline-color);
  border-radius: 100vw;
}

::-webkit-scrollbar-thumb:hover {
  background: #f9731f;
}
:root {
  --background-color: #171717;
  --Outline-color: #ff914d;
  --Outline-color2: #ca8059;
  --someGreen: #1fa67a;
  --outline-blue: #0088a9;
  --Darker: #232427;
  --veryWhite: #fff;
  --Pearlwhite: #fbfcf8;
  --snowWhite: #f8f8ff;
  --salt: #f8eeec;
  --killWhite: #f0f0f0;
  --h1FontSize: 35px;
  --h2FontSize: 30px;
  --h1FontSizeMedia: 25px;
  --h2FontSizeMedia: 18px;
  --h3FontSize: 14px;
  --h3FontSizeMedia: 12px;
  --paragraphFontColor: #717171;
  --background: url(../img/House/PSQ.jpeg) no-repeat center/cover;
}
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
  padding: 0%;
  margin: 0%;
  box-sizing: border-box;
}
body {
  background-color: #ffffff;
  background-image: radial-gradient(#ff914d 0.45px, transparent 0.45px),
    radial-gradient(#ff914d 0.45px, #ffffff 0.45px);
  background-size: 18px 18px;
  background-position: 0 0, 9px 9px;
}
html {
  font-family: "Poppins", sans-serif;
}
.Me {
  background-color: #000000;
  padding-top: 0px;
  color: var(--Darker);
}
.mapImg {
  opacity: 0.8;
}
.mapImg .intersect.intersect-visible {
  opacity: 1;
}

header {
  width: 90%;
  height: 85vh;
  /* border: 1px solid #000; */
  margin: auto;
  transition: 0.3s linear;
}

header nav {
  width: 100%;
  height: fit-content;
  margin: 0px auto;
  /* border: 1px solid #000; */
  display: flex;
  align-items: center;
  justify-content: space-between;
}

header nav .right_bx {
  display: flex;
  align-items: center;
}

header nav .right_bx ul {
  list-style: none;
  display: flex;
  align-items: center;
}

header nav .right_bx ul li {
  padding: 3px 15px;
}

header nav .right_bx ul li a {
  text-decoration: none;
  color: gray;
  font-size: 11px;
  font-weight: 500;
  transition: 0.3s linear;
}

header nav .right_bx ul li a:hover {
  color: var(--Outline-color);
}

header nav .right_bx .account_bx {
  display: flex;
  align-items: center;
  margin-left: 20px;
}

header nav .right_bx .account_bx .bi {
  margin-left: 15px;
  color: gray;
  cursor: pointer;
  transition: 0.3s linear;
}

header nav .right_bx .account_bx .bi:hover {
  color: #000;
}

header .content {
  position: relative;
  width: 100%;
  height: 93%;
  /* border: 1px solid #000; */
  z-index: 5;
}

header .content::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: var(--background);
  background-position: center;
  background-position-y: 0px;
  transform: scaleX(-1);
  border-radius: 5px;
  z-index: -1;
}

header .content .cont_bx {
  width: 500px;
  height: auto;
  color: #ffffff;
  padding: 50px;
  margin-bottom: 150px;
}

header .content .cont_bx h1 {
  font-size: 65px;
  line-height: 45px;
  font-weight: 700;
  color: var(--Outline-color);
  font-family: var(--bs-body-font-family);
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
}

header .content .cont_bx p {
  font-size: 14px;
  font-weight: 600;
  color: rgb(255, 255, 255);
  margin-top: 10px;
}

header .content .cont_bx .weather {
  margin-top: 80px;
}

header .content .cont_bx .weather h6 {
  color: rgb(64, 64, 64);
  font-size: 10px;
  font-weight: 600;
}

header .content .cont_bx .weather h6 span {
  margin-left: 5px;
}

header .content .cont_bx .btns_cont {
  margin-top: 10px;
}

header .content .cont_bx .btns_cont i {
  border: 1px solid gray;
  padding: 0px 3.3px;
  border-radius: 50%;
  cursor: pointer;
  transition: 0.3s linear;
}

header .content .cont_bx .btns_cont i:hover {
  color: #000;
  background: rgb(0, 0, 0, 0.1);
}

header .content .cont_bx .images_bx {
  position: absolute;
  right: 20px;
  bottom: 110px;
  /* border: 1px solid #000; */
  width: 50px;
}

header .content .cont_bx .images_bx .card {
  position: relative;
  width: 100%;
  height: 50px;
  margin-top: 10px;
  background: rgb(237, 237, 237, 0.3);
  padding: 5px;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

header .content .cont_bx .images_bx .card img {
  width: 100%;
  height: 100%;
  border-radius: 8px;
}

header .content .cont_bx .images_bx .card h6 {
  position: absolute;
  top: 15px;
  left: 15px;
  font-size: 14px;
  font-weight: 600;
  /* z-index: 99999; */
  color: #fff;
}

header .content .choose_bx {
  position: relative;
  width: 90%;
  height: auto;
  margin: auto;
  /* border: 1px solid #000; */
}

header .content .choose_bx .stay_bx {
  display: flex;
  align-items: center;
}

header .content .choose_bx .stay_bx button {
  padding: 10px 30px;
  background: #000;
  color: #fff;
  border: none;
  outline: none;
  font-family: "Poppins", sans-serif;
  cursor: pointer;
  transition: 0.3s linear;
}

header .content .choose_bx .stay_bx button:hover {
  background: #fff;
  color: #000;
}
.feat {
  border-radius: 10px 10px 0px 0px;
  padding: 10px;
  color: #ffffff;
  font-weight: 600;
  width: 150px;
  text-align: center;
  background: #000000;
}
header .content .choose_bx .stay_bx button:nth-child(1) {
  border-radius: 10px 0px 0px 0px;
  background: #fff;
  color: #000;
}

header .content .choose_bx .stay_bx button:nth-last-child(1) {
  border-radius: 0px 10px 0px 0px;
}

header .content .choose_bx .stay_bx button i {
  margin-right: 5px;
}

header .content .choose_bx .select {
  width: 100%;
  height: 135px;
  border-radius: 0px 10px 10px 10px;
  position: relative;
  padding: 10px 20px;
  box-shadow: 0px 5px 15px -10px rgb(214, 214, 214);
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #0f0f0f;
  box-shadow: 20px 0px 60px #000000, -20px 20px 60px #000000;
}

header .content .choose_bx .select .card {
  width: 26%;
  height: 90%;
  color: #fff;
  padding: 10px 0px 10px 30px;
  background: #000000;
}

header .content .choose_bx .select .card h5 {
  font-size: 16px;
  font-weight: 600;
}

header .content .choose_bx .select .card input {
  border: none;
  outline: none;
  margin-top: 5px;
  font-size: 20px;
  font-weight: 700;
  background: none;
  font-family: "Poppins", sans-serif;
}
header .content .choose_bx .select .card a {
  color: var(--Outline-color);
  text-decoration: none;
  transition: transform 0.3s ease;
}

header .content .choose_bx .select .card a:hover {
  transform: translateX(8px); /* Shift the element 5 pixels to the right */
  color: var(--Outline-color);
}
.home .home_bx .card .content .cont a:hover {
  color: var(--Outline-color);
}

header .content .choose_bx .select .card input:nth-child(3) {
  font-size: 12px;
  font-weight: 500;
  color: gray;
}

header .content .choose_bx .select .card button {
  border: none;
  background: none;
  outline: none;
  margin-right: 20px;
  margin-top: 5px;
  font-family: "Poppins", sans-serif;
  cursor: pointer;
  transition: 0.3s linear;
}
header .content .choose_bx .select .card input {
  color: white;
}
header .content .choose_bx .select .card button:hover {
  border-bottom: 2px solid rgb(177, 177, 177);
}

.map {
  position: relative;
  width: 100%;
  height: 380px;
  /* border: 1px solid #000; */
  top: -130px;
  overflow: hidden;
  z-index: 0;
}

.map::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 15%;
  background: linear-gradient(0deg, transparent, #fff);
  top: 0;
  left: 0;
  z-index: 2;
}

.map::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 15%;
  background: linear-gradient(180deg, transparent, #fff);
  bottom: 0;
  left: 0;
  z-index: 2;
}

.map .address_bx {
  position: absolute;
  width: 240px;
  height: 75px;
  background: #fff;
  color: #fff;
  padding: 0px 20px;
  top: 44%;
  left: 30%;
  z-index: 999;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 11px;
  background: linear-gradient(145deg, #0f0f0f, #222222);
  box-shadow: 20px 20px 60px #161616, -20px -20px 60px #363636;
  opacity: 0;
  animation-name: hoverAnimation;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
}
@keyframes hoverAnimation {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-5px);
  }
  100% {
    transform: translateY(0);
  }
}
.map .address_bx .bi {
  font-size: 25px;
  margin: 0px;
}

.home {
  position: relative;
  width: 65%;
  height: 230px;
  margin: auto;
  /* border: 1px solid #000; */
  top: -220px;
  z-index: 2;
}

.home .title_button {
  display: flex;
  align-items: center;
  justify-content: center;
}

.home .title_button button {
  position: absolute;
  right: 0;
  padding: 8px 15px;
  background: #fff;
  color: #000;
  box-shadow: 3px 3px 25px rgb(233, 233, 233);
  border: none;
  outline: none;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font: 12px;
  cursor: pointer;
  transition: 0.3s linear;
}

.home .title_button button:hover {
  background: #000;
  color: #fff;
}

.home .title_button button .bi {
  margin-left: 5px;
}

#homeImages {
  width: 100%;
  height: fit-content;
  margin-top: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: ease-in-out 2s;
}
#homeImages > div {
  margin: 10px 10px; /* Adjust the negative margin value as needed */
}
.home .home_bx .card {
  position: relative;
  width: 230px;
  height: 300px;
  border-radius: 15px;
  margin: 20px;
}

/*  */

.home .home_bx .card img {
  width: 100%;
  height: 100%;
}
.home .home_bx .card img {
  width: 100%;
  height: 100%;
}

.card img {
  transition: transform 0.3s;
}

.card:hover img {
  transform: scale(1.1);
  border: 3px solid var(--Outline-color);
}
.home .home_bx .card .content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 20px;
  z-index: 999;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.home .home_bx .card .content .bi {
  position: absolute;
  right: 15px;
  top: 10px;
  color: #fff;
}

.home .home_bx .card .content .bi::after {
  content: "";
  position: absolute;
  width: 165%;
  height: 110%;
  left: -35%;
  top: -3px;
  border-radius: 50%;
  z-index: -1;
}

.home .home_bx .card .content .cont {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 20%;
}

.home .home_bx .card .content .cont::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.29);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px);

  z-index: -1;
  overflow: hidden;
}

.home .home_bx .card .content .cont h5 {
  color: #ffffff;
  padding: 20px 0px 0px 15px;
  line-height: 5px;
  text-align: center;
}
.home .home_bx .card .content .cont h4 {
  color: #ffffff;
  padding: 10px 0px 0px 15px;
  line-height: 5px;
}

.home .home_bx .card .content .cont p {
  color: #fff;
  padding: 10px 0px 0px 15px;
  font-size: 12px;
  font-weight: 500;
  margin-top: 15px;
  text-shadow: #000;
}

section {
  width: 65%;
  height: auto;
  margin: auto;
}

section h2 {
  margin-top: -100px !important;
  text-align: center;
  text-align: center;
  background-color: black;
  color: white;
  padding: 12px;
  margin-top: 30px;
}

section .box {
  width: 100%;
  margin: auto;
  margin-top: 50px;
  display: flex;
  background: #ffffff;
}

section .box .img_bx,
.cont_box {
  width: 50%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

section .box .img_bx img {
  width: 85%;
  border-radius: 5px;
}

section .box .cont_box {
  flex-direction: column;
  align-items: flex-start;
}

section .box .cont_box h6 {
  position: relative;
  color: var(--Outline-color);
}

section .box .cont_box h6 span {
  margin-left: 25px;
}

section .box .cont_box h6::before {
  content: "";
  position: absolute;
  width: 20px;
  height: 1.5px;
  background: var(--Outline-color);
  top: 7px;
}

section .box .cont_box h1 {
  width: 100%;
  text-align: center;
  font-weight: 600;
  margin: 10px 0px;
  color: var(--Outline-color);
}

section .box .cont_box p {
  text-align: center;
  font-size: 12px;
  font-weight: 500;
}

section .box .cont_box ul {
  list-style-type: none;
  flex-wrap: wrap;
  margin-left: 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

section .box .cont_box ul li {
  position: relative;
  font-size: 13px;
  font-weight: bold;
  width: 200px;
  /* border: 1px solid #000; */
  margin-top: 20px;
}

section .box .cont_box ul li::before {
  content: "";
  position: absolute;
  width: 5px;
  height: 5px;
  background: var(--Outline-color);
  border-radius: 50%;
  left: -20px;
  top: 8px;
}

/* Rent now button styling START */
.cta {
  border: none;
  background: none;
}

.cta span {
  padding-right: 10px;
}

.cta svg {
  transform: translateX(-8px);
  transition: all 0.3s ease;
}

.cta:hover svg {
  transform: translateX(0);
}

.cta:active svg {
  transform: scale(0.9);
}

.hover-underline-animation {
  position: relative;
  color: rgb(0, 0, 0);
  padding-bottom: 5px;
}

.hover-underline-animation:after {
  content: "";
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: var(--Outline-color);
  transform-origin: bottom right;
  transition: transform 0.25s ease-out;
}

.cta:hover .hover-underline-animation:after {
  transform: scaleX(1);
  transform-origin: bottom left;
}
/* Rent now button styling END */
/* Intersection observers */

.box {
  display: flex;
}

.img_bx {
  flex: 1;
  transform: translateX(-100%);
  transition: transform 1.5s;
}

.cont_box {
  flex: 1;
  transform: translateX(100%);
  transition: transform 1.7s;
}

.card {
  opacity: 0;
  transform: translateX(-50px);
  transition: opacity 1s ease, transform 0.5s ease;
  overflow: hidden;
}

.card.animate {
  opacity: 1;
  transform: translateX(0);
}

.card .content {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  transition: transform 0.3s ease;
}

.card:hover .content {
  transform: translateY(-60px);
}
#smallerLocation:hover {
  color: rgb(3, 188, 201);
}
/* Footer */
.FooterContainer {
  max-width: 1170px;
  margin: auto;
}

.FooterRow {
  display: flex;
  flex-wrap: wrap;
}

ul {
  list-style: none;
}

.footer {
  margin-top: 20px;
  background-color: #000000;
  padding: 70px 0;
}

.footer-col {
  width: 30%;
  padding: 0 35px;
}
.CardContainer {
  height: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer-col h4 {
  font-size: 21px;
  color: var(--Outline-color);
  margin-bottom: 35px;
  font-weight: 500;
  text-align: center;
  position: relative;
}

.footer-col h4::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -10px;
  background-color: var(--shade);
  height: 2px;
  box-sizing: border-box;
  width: 50px;
}

.footer-col ul li:not(:last-child) {
  margin-bottom: 10px;
}

.footer-col ul li a {
  font-size: 16px;
  text-transform: capitalize;
  color: #ffffff !important;
  text-decoration: none;
  font-weight: 300;
  color: #bbbbbb;
  display: block;
  transition: all 0.3s ease;
}

.footer-col ul li a:hover {
  color: #ffffff;
  padding-left: 8px;
}

.footer-col .social-links a {
  display: inline-block;
  height: 40px;
  width: 40px;
  background-color: rgba(255, 255, 255, 0.2);
  margin: 0 10px 10px 0;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  color: #ffffff;
  transition: all 0.5s ease;
}

.footer-col .social-links a:hover {
  color: #24262b;
  background-color: #ffffff;
}

/*responsive*/
@media (max-width: 767px) {
  .footer-col {
    width: 50%;
    margin-bottom: 30px;
  }
}
@media (max-width: 574px) {
  .footer-col {
    width: 100%;
  }
}
